class In_cabinet:
    """
    Purpose:
        class to keep track of ingredients in the cabinet
    Instance variables:
        In_cabinet.cabinet_list: list of all ingredients in the cabinet
    Methods:
        remove_ingredient: removes an ingredient from the cabinet list
        add_ingredient: adds an ingredient to the cabinet list
    """

    cabinet_list = []

    def __init__(self, list_of_cabinet_ingredients):
        In_cabinet.cabinet_list = list_of_cabinet_ingredients
        In_cabinet.cabinet_list.sort()

    def remove_ingrdient(ingredient_name):
        if ingredient_name in In_cabinet.cabinet_list:
            In_cabinet.cabinet_list.remove(ingredient_name)

    def add_ingredient(ingredient_name):
        In_cabinet.cabinet_list.append(ingredient_name)
        In_cabinet.cabinet_list.sort()